<?
/*
    Admin Configuration - GuppY PHP Script - version 4.5.4
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v1.0 (30 December 2002)  : initial release
      v1.3 (06 January 2003)   : moved Showing of users' news ($site[5]) configuration
                                   from General config
                                 added site's supervision options
      v1.6 (23 January 2003)   : added news publishing by external sites option
                                 added transition effect between pages (for IE browser only)
                                 added "page loaded in n.nn seconds" option
      v1.7 (28 January 2003)   : added Recommend to a Friend box
                                 added call to UpdateDBnews() for service[16] update
      v1.8 (05 February 2003)  : added category for forum
      v1.9 (11 February 2003)  : category for forum presentation slighly changed for showing better
                                   that it is a sub option of Forum area
                                 added Banners service and free box
                                 added Icon themes
      v2.0 (27 February 2003)  : added Meta Tags by Nicolas Alves & Laurent Duveau
                                 added fixed background image option
                                 added advanced photo service
                                 modified slogan and start using it
      v2.1 (10 March 2003)     : color management for the side scroll bar (by Nicolas Alves)
                                 counter theme management (by Nicolas Alves)
      v2.2 (22 April 2003)     : removed boxes services (now in a dedicated option)
      v2.3 (27 July 2003)      : added dynamic menu option
                                 moved number of items per service from config2 to config4
                                 added a calendar box (by Nicolas Alves)
                                 added quotations style management (by Nicolas Alves and Isabelle)
                                 added forms style management (by Nicolas Alves)
                                 added user prefs management by cookie
                                 added US date format management
                                 added user news submission option (no more mandatory)
      v2.4 (24 September 2003) : added "Page loading" popup
                                 added forum summary in home page (last threads)
                                 moved homepage parametrization from General config to Services config
                                 added Guestbook's favourite message on home page
                                 added homepage's choice of central boxes
                                 config4 renamed to config5
                                 added react to an article option
                                 recycled $texte[3] to Articles mark (was no more used)
                                 added Hide Admin Button (by Nicolas Alves)
                                 added Quick Article Admin Access (by Nicolas Alves)
                                 added number of times an article was read (by Nicolas Alves and Laurent Duveau)
                                 added number of times a forum thread was read (by Nicolas Alves and Laurent Duveau)
                                 added number of times a file was downloaded (by Nicolas Alves and Laurent Duveau)
                                 upgraded eMailTo() function to accept additional specific e-mailing according to providers
                                 added new dates formats and created time formats
                                 created shared Config Update script
      v3.0 (25 February 2004)  : added Newsletter module
      v4.0 (06 December 2004)  : added user's guestbook and user's post submit option to admin (by Jean-Mi)
    		                         added optionnal writter, and editor choice (by Icare)
        				                 added multi-admin management and quick admin options (by Nicolas Alves)
        				                 added page title (by Jean-Mi)
        				                 added agenda-planner option (by Nicolas Alves)
	  v4.5 (22 April 2005)       : changed editor options, ready for other editors (by Icare)
	  v4.5.4 (01 September 2005) : made ready for another editor (by Icare)
*/

if (stristr($_SERVER["SCRIPT_NAME"], "config5.inc")) {
  header("location:../index.php");
  die();
}

@include(REDACREP.$userprefs[1].INCEXT);
if(FileDBExist(REDACREP.$userprefs[1].INCEXT) && $drtuser[4]=="") {
$nomzone=$admin169;
include("access.inc");
}
else {

if (!isset($serviz[51])) $serviz[51] = ANTISPAM_COUNT;
if (!isset($serviz[52])) $serviz[52] = ANTISPAM_DELAY;

if ($regit == 1) {
  include(CONFIG);
  $site[5] = $site5; // Activation des news ou pas
  $site[27] = $site27; // Temps d'attente popup postage
  
  $site[28] = $site28; // Barre de progression attente popup postage
  $serviz[0] = $serviz0; // Citations ON / OFF
  $serviz[1] = $serviz1; // Accueil Editorial ON / OFF
  $serviz[2] = $serviz2; // Nb de news / page
  $serviz[4] = $serviz4; // Nb de tlchargements / page
  $serviz[5] = $serviz5; // Nb de liens / page
  $serviz[6] = $serviz6; // Nb de FAQ / page
  $serviz[7] = $serviz7; // Nb de messages Guestbook / page
  $serviz[8] = $serviz8; // Nouvelles ON / OFF
  $serviz[9] = $serviz9; // Photos ON / OFF
  $serviz[10] = $serviz10; // Tlchargements ON / OFF
  $serviz[11] = $serviz11; // Liens ON / OFF
  $serviz[12] = $serviz12; // Livre d'or ON / OFF
  $serviz[13] = $serviz13; // Forum ON / OFF
  $serviz[14] = $serviz14; // FAQ ON / OFF
  $serviz[15] = $serviz15; // Statistiques ON / OFF
  $serviz[16] = $serviz16; // Publication Nouvelles ON / OFF
  $serviz[17] = $serviz17; // Nb de messages Forum / page
  $serviz[18] = $serviz18; // Catgories Forum ON / OFF
  $serviz[19] = $serviz19; // Bannires ON / OFF
  $serviz[20] = $serviz20; // Nb de messages Thread / page
  $serviz[21] = $serviz21; // Photorama avanc ON /OFF
  $serviz[27] = $serviz27; // libre...
  $serviz[29] = $serviz29; // Ractions aux articles
  $serviz[30] = $serviz30; // Nb Ractions aux articles / page
  $serviz[31] = $serviz31; // Pseudo prfrences webmaster
  $serviz[32] = $serviz32; // Accs  l'administration rapide
  $serviz[33] = $serviz33; // Compteur de lecture Articles
  $serviz[34] = $serviz34; // Compteur de lecture Threads Forum
  $serviz[35] = $serviz35; // Compteur de Nb de tlchargements
  $serviz[37] = $serviz37; // Nb de news publies
  $serviz[40] = $serviz40; // Publication dans le livre d'or
  $serviz[41] = $serviz41; // Publication dans le forum
  $serviz[42] = $serviz42; // Option rdacteur
  $serviz[43] = $serviz43; // Avatar prfrences webmaster
  $serviz[45] = $serviz45; // Masquer l'icne Admin
  $serviz[46] = $serviz46; // Nb de messages Agenda / page
  $serviz[47] = $serviz47; // Agenda ON / OFF
  $serviz[48] = $serviz48; // Nb de messages maximum dans Tinymessage 
  $serviz[49] = $serviz49; // Choix diteur IE / compatible intgr ou popup
  $serviz[50] = $serviz50; // Nb maxi de fichiers dans data/error
  $serviz[51] = max(50, $serviz51); // Nb maxi de lignes dans l'anti-spam
  $serviz[52] = max(10, $serviz52); // Dure maxi de validit du code anti-spam
    
  $supervision[0] = $supervision0; // e-mail compteur
  $supervision[1] = $supervision1; // incrment de compteur pour e-mail
  $supervision[2] = $supervision2; // e-mail publication nouvelle
  $supervision[3] = $supervision3; // e-mail publication livre d'or
  $supervision[4] = $supervision4; // e-mail publication forum
  $supervision[5] = $supervision5; // Type d'e-mail PHP
  $supervision[6] = $supervision6; // e-mail ragir aux articles
  $supervision[7] = $supervision7; // e-mail inscription ou rsiliation Newsletter

  include("inc/confupdt.inc");
  include(CHEMIN.INCREP."funcrss.php");
  UpdateDBnews();
}

$mailer = array();
$dossier = opendir(CHEMIN."inc/mail/");
while ($fichier = readdir($dossier)) {
  if (is_file(CHEMIN."inc/mail/".$fichier)) {
    $basefic = basename($fichier);
    $path_parts = substr($basefic,strrpos($basefic,".")+1);
    if ($path_parts == "inc") {
      $mailer[] = substr($basefic,0,strlen($basefic)-4);
    }
  }
}
closedir($dossier);
@sort($mailer);

$progbartheme = array();
$dossier = opendir(CHEMIN."inc/img/progbar/");
while ($fichier = readdir($dossier)) {
  if (is_file(CHEMIN."inc/img/progbar/".$fichier)) {
    $path_parts = basename($fichier);
    $path_parts = substr($path_parts,strrpos($path_parts,".")+1);
    if (IsImage($path_parts)) {
      $progbartheme[] = $fichier;
    }
  }
}
closedir($dossier);
@sort($progbartheme);

include(CONFIG);
$topmess = $admin176;
include(CHEMIN."inc/hpage.inc");
htable($admin176, "100%");
$editolabelslist = array("$admin335","$admin8","$admin466","$admin467","$admin468");
$editoboxeslist = array("","boxhome","boxforum","boxguest","boxnews");
?>

<div align="center">
<? echo $admin177; ?><hr />
<a href="admin.php?lng=<? echo $lng; ?>"><? echo $admin22; ?></a> || <b><a href="admin.php?lng=<? echo $lng; ?>&logout=1"><? echo $admin19; ?></a></b>
<hr /></div><br />
<form name="conf5" action="admin.php?lng=<? echo $lng; ?>" method="post">
<input type="hidden" name="pg" value="config5">
<input type="hidden" name="regit" value="1">
<p align="center"><b><? echo $admin810; ?></b></p>
<table cellspacing="0" cellpadding="2" align="center" border="0">
<tr><td><p>&bull; <? echo $admin850; ?></p></td><td width="30%"><p><input class="texte" type="text" name="serviz31" size="20" value="<? echo $userprefs[1]; ?>" readonly></p></td></tr>
<tr><td><p></p></td><td width="30%"><p><input class="text" type="hidden" name="serviz43" size="20" value="<? echo $userprefs[8]; ?>"></p></td></tr>
<tr><td><p><ul></p><? echo $admin482; ?></p></td><td><p><input type="checkbox" name="serviz32" <? if ($serviz[32]) echo "checked"; ?>></p></td></tr>
<tr><td><p><ul></p><? echo $admin709; ?></p></td><td><p><select name="serviz49">
<?
echo "<option value=\"\""; if ($serviz[49] == "") {echo " selected";} echo "> $web314</option>";                        // diteur IE
echo "<option value=\"in\""; if ($serviz[49] == "in") {echo " selected";} echo "> $web313</option>";                    // editeur intgr
echo "<option value=\"Typetool\""; if ($serviz[49] == "Typetool") {echo " selected";} echo "> $web313, Popup</option>"; // editeur en popup
// optional editors...
if (is_dir("../inc/htmlarea")) {echo "<option value=\"HTMLArea\""; if ($serviz[49] == "HTMLArea") {echo " selected";} echo ">Option HtmlArea</option>";}
if (is_dir("../inc/fckeditor")) {echo "<option value=\"FCK\""; if ($serviz[49] == "FCK") {echo " selected";} echo ">Option FckEditor</option>";}
if (is_dir("../inc/tinymce")) {echo "<option value=\"MCE\""; if ($serviz[49] == "MCE") {echo " selected";} echo ">Option TinyMCE</option>";}
?>
</select></p></td></tr>
<tr><td><p>&bull; <? echo $admin481; ?></p></td><td><p><input type="checkbox" name="serviz45" <? if ($serviz[45]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin715; ?></p></td><td><p><input type="checkbox" name="serviz42" <? if ($serviz[42]) echo "checked"; ?>></p></td></tr>
</table>
<p align="center"><b><? echo $admin217; ?></b></p>
<table cellspacing="0" cellpadding="2" border="0" align="center">
<tr><td><p>&bull; <? echo $admin5; ?> :</p></td><td width="30%">&nbsp;</td></tr>
<tr><td><p><ul><? echo $admin472; ?></p></td><td><p><input type="checkbox" name="serviz29" <? if ($serviz[29]) echo "checked"; ?>></p></td></tr>
<tr><td><p><ul><? echo $admin483; ?></p></td><td><p><input type="checkbox" name="serviz33" <? if ($serviz[33]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin262; ?></p></td><td><p><input type="checkbox" name="serviz19" <? if ($serviz[19]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin179; ?></p></td><td><p><input type="checkbox" name="serviz0" <? if ($serviz[0]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin71; ?></p></td><td><p><input type="checkbox" name="serviz1" <? if ($serviz[1]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin72; ?></p></td><td><p><input type="checkbox" name="serviz8" <? if ($serviz[8]) echo "checked"; ?>></p></td></tr>
<tr><td><p><ul><? echo $admin59; ?></p></td><td><p><select name="site5">
<option value="2"<? if ($site[5] == "2") { echo " selected"; } ?>><? echo $web314; ?></option>
<option value="0"<? if ($site[5] == "0") { echo " selected"; } ?>><? echo $admin55; ?></option>
<option value="1"<? if ($site[5] == "1") { echo " selected"; } ?>><? echo $admin61; ?></option>
</select></p></td></tr>
<tr><td><p><ul><? echo $admin242; ?></p></td><td><p><input type="checkbox" name="serviz16" <? if ($serviz[16]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin74; ?></p></td><td><p><input type="checkbox" name="serviz9" <? if ($serviz[9]) echo "checked"; ?>></p></td></tr>
<tr><td><p><ul><? echo $admin331; ?></p></td><td><p><input type="checkbox" name="serviz21" <? if ($serviz[21]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin73; ?></p></td><td><p><input type="checkbox" name="serviz10" <? if ($serviz[10]) echo "checked"; ?>></p></td></tr>
<tr><td><p><ul><? echo $admin484; ?></p></td><td><p><input type="checkbox" name="serviz35" <? if ($serviz[35]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin75; ?></p></td><td><p><input type="checkbox" name="serviz11" <? if ($serviz[11]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin207; ?></p></td><td><p><input type="checkbox" name="serviz14" <? if ($serviz[14]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin76; ?></p></td><td><p><input type="checkbox" name="serviz12" <? if ($serviz[12]) echo "checked"; ?>></p></td></tr>
<tr><td><p><ul><? echo $admin454; ?></p></td><td><p><select name="serviz40">
<option value=""<? if ($serviz[40] == "") { echo " selected"; } ?>><? echo $admin55; ?></option>
<option value="on"<? if ($serviz[40] == "on") { echo " selected"; } ?>><? echo $admin61; ?></option>
</select></p></td></tr>
<tr><td><p>&bull; <? echo $admin164; ?></p></td><td><p><input type="checkbox" name="serviz13" <? if ($serviz[13]) echo "checked"; ?>></p></td></tr>
<tr><td><p><ul><? echo $admin454; ?></p></td><td><p><select name="serviz41">
<option value=""<? if ($serviz[41] == "") { echo " selected"; } ?>><? echo $admin55; ?></option>
<option value="on"<? if ($serviz[41] == "on") { echo " selected"; } ?>><? echo $admin61; ?></option>
</select></p></td></tr>
<tr><td><p><ul><? echo $admin252; ?></p></td><td><p><input type="checkbox" name="serviz18" <? if ($serviz[18]) echo "checked"; ?>></p></td></tr>
<tr><td><p><ul><? echo $admin483; ?></p></td><td><p><input type="checkbox" name="serviz34" <? if ($serviz[34]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin213; ?></p></td><td><p><input type="checkbox" name="serviz15" <? if ($serviz[15]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin651; ?></p></td><td><p><input type="checkbox" name="serviz47" <? if ($serviz[47]) echo "checked"; ?>></p></td></tr>
</table>
<p>&nbsp;</p>
<p align="center"><b><? echo $admin239 ?></b></p>
<table cellspacing="0" cellpadding="2" align="center" border="0">
<tr><td><p>&bull; <? echo $admin472; ?></p></td><td width="30%"><p><input class="texte" type="text" name="serviz30" size="3" value="<? echo $serviz[30]; ?>"></p></td></tr>
<tr><td><p>&bull; <? echo $admin72; ?></p></td><td><p><input class="texte" type="text" name="serviz2" size="3" value="<? echo $serviz[2]; ?>"></p></td></tr>
<tr><td><p><ul> <? echo $admin242; ?></p></td><td><p><input class="texte" type="text" name="serviz37" size="3" value="<? echo $serviz[37]; ?>"></p></td></tr>
<tr><td><p>&bull; <? echo $admin73; ?></p></td><td><p><input class="texte" type="text" name="serviz4" size="3" value="<? echo $serviz[4]; ?>"></p></td></tr>
<tr><td><p>&bull; <? echo $admin75; ?></p></td><td><p><input class="texte" type="text" name="serviz5" size="3" value="<? echo $serviz[5]; ?>"></p></td></tr>
<tr><td><p>&bull; <? echo $admin207; ?></p></td><td><p><input class="texte" type="text" name="serviz6" size="3" value="<? echo $serviz[6]; ?>"></p></td></tr>
<tr><td><p>&bull; <? echo $admin76; ?></p></td><td><p><input class="texte" type="text" name="serviz7" size="3" value="<? echo $serviz[7]; ?>"></p></td></tr>
<tr><td><p>&bull; <? echo $admin164; ?></p></td><td><p><input class="texte" type="text" name="serviz17" size="3" value="<? echo $serviz[17]; ?>"></p></td></tr>
<tr><td><p>&bull; <? echo $admin98; ?></p></td><td><p><input class="texte" type="text" name="serviz20" size="3" value="<? echo $serviz[20]; ?>"></p></td></tr>
<tr><td><p>&bull; <? echo $admin651; ?></p></td><td><p><input class="texte" type="text" name="serviz46" size="3" value="<? echo $serviz[46]; ?>"></p></td></tr>
<tr><td><p>&bull; <? echo $admin682; ?></p></td><td><p><input class="texte" type="text" name="serviz48" size="3" value="<? echo $serviz[48]; ?>"></p></td></tr>
<tr><td><p>&bull; <? echo $admin683; ?></p></td><td><p><input class="texte" type="text" name="serviz50" size="3" value="<? echo $serviz[50]; ?>"></p></td></tr>
</table>
<p>&nbsp;</p>
<p align="center"><b><? echo $admin600; ?></b></p>
<table cellspacing="0" cellpadding="2" align="center" border="0">
<tr><td><p>&bull; <? echo $admin593; ?></p></td><td><p><select name="site27">
<option value="0"<? if ($site[27] == "0") { echo " selected"; } ?>><? echo $admin594; ?></option>
<option value="1"<? if ($site[27] == "1") { echo " selected"; } ?>><? echo $admin595; ?></option>
<option value="2"<? if ($site[27] == "2") { echo " selected"; } ?>><? echo $admin596; ?></option>
<option value="3"<? if ($site[27] == "3") { echo " selected"; } ?>><? echo $admin597; ?></option>
<option value="4"<? if ($site[27] == "4") { echo " selected"; } ?>><? echo $admin598; ?></option>
<option value="5"<? if ($site[27] == "5") { echo " selected"; } ?>><? echo $admin599; ?></option>
</select></p></td></tr>
<tr><td><p>&bull; <? echo $admin601; ?></p></td><td><p><select name="site28">
<option value=""><? echo $admin460; ?></option>

<?
for ($i = 0; $i < count($progbartheme); $i++) {
  if ($site[28] == $progbartheme[$i]) {
    $sel = " selected";
  }
  else {
    $sel = "";
  }
  echo "<option value=\"".$progbartheme[$i]."\"".$sel.">".$progbartheme[$i]."</option>\n";
}
?>

</select></p></td></tr>
</table>

<p>&nbsp;</p>
<p align="center"><b><? echo $admin761; ?></b></p>
<table cellspacing="0" cellpadding="2" border="0" align="center">
<tr><td><p>&bull; <? echo $admin762; ?></p></td><td><p><input class="texte" type="text" name="serviz51" size="4" value="<? echo $serviz[51]; ?>"></p></td></tr>
<tr><td><p>&bull; <? echo $admin763; ?></p></td><td><p><input class="texte" type="text" name="serviz52" size="4" value="<? echo $serviz[52]; ?>"></p></td></tr>
</table>

<p>&nbsp;</p>
<p align="center"><b><? echo $admin229; ?></b></p>
<table cellspacing="0" cellpadding="2" border="0" align="center">
<tr><td><p>&bull; <? echo $admin230; ?></p></td><td><p><select name="supervision5">
<option value="standard"<? if ($supervision[5] == "standard") { echo " selected"; } ?>><? echo $admin231; ?></option>

<?
for ($i=0; $i<count($mailer); $i++) {
  $mailtext = $admin232." ".$mailer[$i];
  if ($supervision[5] == $mailer[$i]) {
    $mailselect = " selected";
  }
  else {
    $mailselect = "";
  }
?>

<option value="<? echo $mailer[$i];?>"<? echo $mailselect; ?>><? echo $mailtext; ?></option>

<?
 }
?>

</select></p></td></tr>
<tr><td><p>&bull; <? echo $admin234; ?></p></td><td><p><input type="checkbox" name="supervision0" <? if ($supervision[0]) echo "checked"; ?>>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input class="texte" type="text" name="supervision1" size="6" value="<? echo $supervision[1]; ?>"></p></td></tr>
<tr><td><p>&bull; <? echo $admin473; ?></p></td><td><p><input type="checkbox" name="supervision6" <? if ($supervision[6]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin235; ?></p></td><td><p><input type="checkbox" name="supervision2" <? if ($supervision[2]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin236; ?></p></td><td><p><input type="checkbox" name="supervision3" <? if ($supervision[3]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin237; ?></p></td><td><p><input type="checkbox" name="supervision4" <? if ($supervision[4]) echo "checked"; ?>></p></td></tr>
<tr><td><p>&bull; <? echo $admin520; ?></p></td><td><p><input type="checkbox" name="supervision7" <? if ($supervision[7]) echo "checked"; ?>></p></td></tr>
</table>
<p>&nbsp;</p>
<p align="center"><? echo $boutonleft; ?><input class="bouton" type="submit" value="<? echo $admin66; ?>"><? echo $boutonright; ?></p>
</form>
<div align="center">
<hr /><a href="admin.php?lng=<? echo $lng; ?>"><? echo $admin22; ?></a> || <b><a href="admin.php?lng=<? echo $lng; ?>&logout=1"><? echo $admin19; ?></a></b>
</div>

<?
btable();
include(CHEMIN."inc/bpage.inc");
}
?>
