<?
/*
    Admin Configuration - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v1.0 (30 December 2002)  : initial release
      v1.3 (06 January 2003)   : moved Showing of users' news ($site[5]) configuration
                                   from General config
                                 added site's supervision options
      v1.6 (23 January 2003)   : added news publishing by external sites option
                                 added transition effect between pages (for IE browser only)
                                 added "page loaded in n.nn seconds" option
      v1.7 (28 January 2003)   : added Recommend to a Friend box
                                 added call to UpdateDBnews() for service[16] update
      v1.8 (05 February 2003)  : added category for forum
      v1.9 (11 February 2003)  : category for forum presentation slighly changed for showing better
                                   that it is a sub option of Forum area
                                 added Banners service and free box
                                 added Icon themes
      v2.0 (27 February 2003)  : added Meta Tags by Nicolas Alves & Laurent Duveau
                                 added fixed background image option
                                 added advanced photo service
                                 modified slogan and start using it
      v2.1 (10 March 2003)     : color management for the side scroll bar (by Nicolas Alves)
                                 counter theme management (by Nicolas Alves)
      v2.2 (22 April 2003)     : removed boxes services (now in a dedicated option)
      v2.3 (27 July 2003)      : added dynamic menu option
                                 moved number of items per service from config2 to config4
                                 added a calendar box (by Nicolas Alves)
                                 added quotations style management (by Nicolas Alves and Isabelle)
                                 added forms style management (by Nicolas Alves)
                                 added user prefs management by cookie
                                 added US date format management
                                 added user news submission option (no more mandatory)
      v2.4 (24 September 2003) : added "Page loading" popup
                                 added forum summary in home page (last threads)
                                 moved homepage parametrization from General config to Services config
                                 added Guestbook's favourite message on home page
                                 added homepage's choice of central boxes
                                 config4 renamed to config5
                                 added react to an article option
                                 recycled $texte[3] to Articles mark (was no more used)
                                 added Hide Admin Button (by Nicolas Alves)
                                 added Quick Article Admin Access (by Nicolas Alves)
                                 added number of times an article was read (by Nicolas Alves and Laurent Duveau)
                                 added number of times a forum thread was read (by Nicolas Alves and Laurent Duveau)
                                 added number of times a file was downloaded (by Nicolas Alves and Laurent Duveau)
                                 added new dates formats and created time formats
                                 created shared Config Update script
       v4.0 (06 December 2004) : clean up in table syntax (by Isa)
	                             added page title (by Jean-Mi)
				                 added multi-admin management (by Nicolas Alves)
*/

if (stristr($_SERVER["SCRIPT_NAME"], "config3.inc")) {
  header("location:../index.php");
  die();
}

@include(REDACREP.$userprefs[1].INCEXT);
if(FileDBExist(REDACREP.$userprefs[1].INCEXT) && $drtuser[2]=="") {
$nomzone=$admin469;	
include("access.inc");
}
else {

if ($regit == 1) {
  include(CONFIG);
  $site[4] = $site4; // Nouvelles sur la page d'accueil
  $site[20] = $site20; // Messages Forum sur la page d'accueil
  $site[21] = $site21; // ID du message Livre d'or prfr
  $site[29] = $site29; // Longueur en caractres des nouvelles en page d'accueil (140 par dfaut)
  $editobox[0] = $editobox0; // Premire boite page d'accueil
  $editobox[1] = $editobox1; // Seconde boite page d'accueil
  $editobox[2] = $editobox2; // Troisime boite page d'accueil
  $editobox[3] = $editobox3; // Quatrime boite page d'accueil
  include("inc/confupdt.inc");
}

include(CONFIG);
$topmess = $admin470;
include(CHEMIN."inc/hpage.inc");
htable($admin470, "100%");
$editolabelslist = array("$admin335","$admin8","$admin466","$admin467","$admin468");
$editoboxeslist = array("","boxhome","boxforum","boxguest","boxnews");
?>

<div align="center">
<? echo $admin471; ?><hr />
<a href="admin.php?lng=<? echo $lng; ?>"><? echo $admin22; ?></a> || <b><a href="admin.php?lng=<? echo $lng; ?>&amp;logout=1"><? echo $admin19; ?></a></b>
<hr /></div><br />
<form name="conf3" action="admin.php?lng=<? echo $lng; ?>" method="post">
<input type="hidden" name="pg" value="config3">
<input type="hidden" name="regit" value="1">
<table cellspacing="0" cellpadding="2" align="center" border="0">
<tr><td colspan="2"><p align="center"><b><? echo $admin464; ?></b></p><p>&nbsp;</p></td></tr>
<tr><td><p>&bull; <? echo $admin352; ?></p></td>
<td><select name="editobox0">

<?
for ($i = 0; $i < count($editoboxeslist); $i++) {
  if ($editobox[0] == $editoboxeslist[$i]) {
      $sel = " selected";
  }
  else {
    $sel = "";
  }
  echo "<option value=\"".$editoboxeslist[$i]."\"".$sel.">".$editolabelslist[$i]."</option>\n";
}
?>

</select></td></tr>
<tr><td><p>&bull; <? echo $admin353; ?></p></td>
<td><select name="editobox1">

<?
for ($i = 0; $i < count($editoboxeslist); $i++) {
  if ($editobox[1] == $editoboxeslist[$i]) {
      $sel = " selected";
  }
  else {
    $sel = "";
  }
  echo "<option value=\"".$editoboxeslist[$i]."\"".$sel.">".$editolabelslist[$i]."</option>\n";
}
?>

</select></td></tr>
<tr><td><p>&bull; <? echo $admin354; ?></p></td>
<td><select name="editobox2">

<?
for ($i = 0; $i < count($editoboxeslist); $i++) {
  if ($editobox[2] == $editoboxeslist[$i]) {
      $sel = " selected";
  }
  else {
    $sel = "";
  }
  echo "<option value=\"".$editoboxeslist[$i]."\"".$sel.">".$editolabelslist[$i]."</option>\n";
}
?>

</select></td></tr>
<tr><td><p>&bull; <? echo $admin355; ?></p></td>
<td><select name="editobox3">

<?
for ($i = 0; $i < count($editoboxeslist); $i++) {
  if ($editobox[3] == $editoboxeslist[$i]) {
      $sel = " selected";
  }
  else {
    $sel = "";
  }
  echo "<option value=\"".$editoboxeslist[$i]."\"".$sel.">".$editolabelslist[$i]."</option>\n";
}
?>

</select></td></tr>
<tr><td><p>&bull; <? echo $admin58; ?></p></td><td><input class="texte" type="text" name="site4" size="3" value="<? echo $site[4]; ?>"></td></tr>
<tr><td><p>&bull; <? echo $admin684; ?></p></td><td><input class="texte" type="text" name="site29" size="7" value="<? echo $site[29]; ?>"></td></tr>
<tr><td><p>&bull; <? echo $admin463; ?></p></td><td><input class="texte" type="text" name="site20" size="3" value="<? echo $site[20]; ?>"></td></tr>
<tr><td><p>&bull; <? echo $admin465; ?></p></td><td><input class="texte" type="text" name="site21" size="7" value="<? echo $site[21]; ?>"></td></tr>
</table>
<p>&nbsp;</p>
<p align="center"><? echo $boutonleft; ?><input class="bouton" type="submit" value="<? echo $admin66; ?>"><? echo $boutonright; ?></p>
</form>
<div align="center"><hr />
<a href="admin.php?lng=<? echo $lng; ?>"><? echo $admin22; ?></a> || <b><a href="admin.php?lng=<? echo $lng; ?>&amp;logout=1"><? echo $admin19; ?></a></b></div>

<?
btable();
include(CHEMIN."inc/bpage.inc");
}
?>
